Bug 124266 - Not clear that system-security-level controls the firewall
Not clear that system-security-level controls the firewall
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 07:09 EDT by Sitsofe Wheeler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 10:39:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2004-05-25 07:09:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
I needed to punch a hole in the firewall to allow CUPS broadcasts
through but wound up spending a long time looking for the GUI tool
that allows this. It is not clear that firewall control is done by
system-security-level (I figured it might be SELinux controls). Not
even  the comment you get when you hover over the menu icon indicates
it has anything to do with firewall configuration.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.3.12-1

How reproducible:
Always

Steps to Reproduce:
1. Ask someone who knows what a firewall is which menu item configures it

Actual Results:
testee number one went to System Settings -> Network and debated
setting up a new device to see whether the firewall configuration
would pop up. After this there was a trip to System Tools ->
Configuration Editor which turned out only to have GNOME settings.
Finally out of frustration testee one, who had seen the firewall
configuration during the initial install, resorted to loading every
system-config-* tool from the console until they found the right one.

testee number two went to the System Settings -> Red Hat Network
Configuration first followed by a quick poke around System Settings ->
Network. After this, the testee declared there was no GUI firewall
configuration tool.

testee three went straight to System Settings -> Security Level. When
asked how they knew it was there, testee three replied that they
remembered the option had been called during the FC1 initial install.
testee three frequently goes through FC1 installs because they
automate installs of a product based off FC1.

Expected Results:  The word firewall to be mentioned in the menu.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.